PO4A-TRANSLATE(1p)

NOM
po4a-translate - retorna un fitxer PO al format de documentació

SINOPSI
po4a-translate -f fmt -m principal.doc -p XX.po -l XX.doc

(XX.doc és la sortida, tots els altres són l'entrada)

DESCRIPCIÓ
L'objectiu del projecte po4a (PO per a tot) és facilitar la traducció (i sobretot el manteniment de les traduccions) utilitzant les eines de gettext en àrees on no eren d'esperar, com ara en la documentació.

El guió po4a-translate està a càrrec de convertir la traducció (que s'ha fet en un fitxer PO) altre cop cap al format de documentació. El fitxer PO proporcionat ha de ser la traducció del fitxer POT que havia produït po4a-gettextize(1).

OPCIONS

-f, --format
    Tipus de format de la documentació que vol tractar. Utilitzi l'opció --help-format per veure el llistat de formats disponibles.

-a, --addendum
    Afegeix un fitxer al fitxer resultant (per posar el nom del traductor o una secció "Sobre aquesta traducció", per exemple). La primera línia del fitxer a insertar ha de ser una capçalera de PO4A indicant on s'ha d'afegir (consulti la secció Com afegir text addicional que no és traducció a po4a(7)).

-A, --addendum-charset
    Joc de caràcters dels annexos. Tingueu en compte que tots els annexos han d'estar en el mateix joc de caràcters.

-m, --master
    Fitxer que conté el document principal a traduir.

-M, --master-charset
    Joc de caracters del fitxer que conté el document a traduir.

-l, --localized
    Fitxer on s'haurà d'escriure el document localitzat (traduït).

-L, --localized-charset
    Joc de caracters del fitxer que conté el document localitzat.

-p, --po
    Fitxer del quan s'ha de llegir el catàleg de missatges.

-o, --option
    Extra option(s) to pass to the format plugin. Specify each option in the 'name=value' format. See the documentation of each plugin for more information about the valid options and their meanings.

-k, --keep
    Minimal threshold for translation percentage to keep (i.e. write) the resulting file (default: 80). I.e. by default, files have to be translated at least at 80% to get written.

-w, --width
    Columna a la que s'ha de justificar el fitxer resultant.

-h, --help
    Mostra un breu missatge d'ajuda.

--help-format
    Llista els formats de documentació reconeguts per po4a.

-V, --version
    Mostra la versió dels guions i acaba.

-v, --verbose
    Incrementa el nivell d'informació del programa.

-d, --debug
    Mostra alguna informació de depuració.

Afegint contingut (a part de la traducció) als fitxers generats
To add some extra content to the generated document beside what you translated (like the name of the translator, or an "About this translation" section), you should use the --addendum option.

La primera línia de l'apèndix ha de ser una capçalera que indiqui en quin punt del document s'ha d'insertar (pot ser abans o després d'una part indicada del document). La resta del fitxer s'afegirà al fitxer resultant sense cap mena de processat.

Tingueu en compte que si po4a-translate no aconsegueix afegir algun dels fitxers donats, descartarà la traducció completa (perquè el fitxer faltant pot ser el que indiqui l'autor, cosa que evitaria que els usuaris poguessin contactar amb ell per informar-lo d'errors en la traducció).

La capçalera té una sintaxi força rígida. Per a més informació sobre com utilitzar aquesta característica i com funciona, consulti la pàgina de manual de po4a(7).

CONSULTEU TAMBÉ
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCCIÓ
 Carme Cirera <menxu@hotmail.com>
 Jordi Vilalta <jvprat@gmail.com>

DRET DE CÒPIA I LLICÈNCIA
Copyright 2002-2012 per SPI, inc.

Aquest programa és programari lliure; podeu redistribuir-lo i/o modificar-lo sota els termes de la GPL (consulteu el fitxer COPYING).